Qt 5.6 | Qt Canvas 3D | QML Types | TextureImage QML Type

Qt 5.6.3 Reference Documentation

# TextureImage QML Type

Contains a texture image. More...

Import Statement: | import QtCanvas3D 1.1
Since: | QtCanvas3D 1.0

- List of all members, including inherited members

## Properties

- errorString() : string
- height() : int
- imageState() : TextureImageState
- src() : url
- width() : int

## Methods

- TextureImage create()
- int id()
- TextureImage resize(int width, int height)

## Detailed Description

An uncreatable QML type that contains a texture image created by calling TextureImageFactory::newTexImage() and settings the `src` of the image.

See also TextureImageFactory.

## Property Documentation

errorString() : string

Contains the error string if an error happened during image creation.

height() : int

Contains the texture image height.

imageState() : TextureImageState

Contains the texture image state. It is one of `TextureImage.INITIALIZED`, `TextureImage.LOAD_PENDING`, `TextureImage.LOADING`, `TextureImage.LOADING_FINISHED` or `TextureImage.LOADING_ERROR`.

src() : url

Contains the url source where the image data is loaded from.

width() : int

Contains the texture image width.

## Method Documentation

TextureImage create()

Returns a new texture image.

int id()

Contains the object id.

TextureImage resize(int width, int height)

Returns a copy of the texture image resized to the given width and height.